#include <Wire.h>
#include "nunchuck_funcs.h"

byte accx;
byte accy;
byte accz;
int x;
int y;
int z;

void setup()
{
  Serial.begin(115200);
  nunchuck_setpowerpins();
  nunchuck_init();
}

void loop()
{
  nunchuck_get_data();
  
  // ardunio uses unsigned bytes (0 to 255)
  
  accx = nunchuck_accelx();
  accy = nunchuck_accely();
  accz = nunchuck_accelz();
  
  // convert to signed
  
  x = accx - 128;
  y = accy - 128;
  z = accz - 128;
  
    Serial.print(x);
    Serial.print(",");
    Serial.print(y);
    Serial.print(",");
    Serial.print(z);
    Serial.print('\n');
    
  delay(10);
}
